Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		vala
#Epoch:		0
Version:	0.11.2
Release:	1
License:	GNU/LGPLv2.1
URL:		http://live.gnome.org/Vala
Group:		Development/Languages
Summary:	Compiler for the GObject type system
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires: flex

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: pkg-config

%description
Vala is a new programming language that aims to bring modern programming language features to GNOME developers without imposing any additional runtime requirements and without using a different ABI compared to applications and libraries written in C. 

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug \
--enable-coverage \
--enable-vapigen

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/vala
%{_bindir}/vala-0.12
%{_bindir}/valac
%{_bindir}/valac-0.12
%{_bindir}/vala-gen-introspect
%{_bindir}/vala-gen-introspect-0.12
%{_bindir}/vapicheck
%{_bindir}/vapicheck-0.12
%{_bindir}/vapigen
%{_bindir}/vapigen-0.12
%{_libdir}/libvala-0.12.so.*
%{_libdir}/vala-0.12/gen-introspect-0.12
%{_aclocal}/vala.m4
%{_mandir}/man1/valac-0.12.1.gz
%{_mandir}/man1/valac.1.gz
%{_mandir}/man1/vala-gen-introspect-0.12.1.gz
%{_mandir}/man1/vala-gen-introspect.1.gz
%{_mandir}/man1/vapigen-0.12.1.gz
%{_mandir}/man1/vapigen.1.gz
%{_datadir}/vala-0.12

%files devel
%defattr(-,root,root)
%{_includedir}/vala-0.12/valaccode.h
%{_includedir}/vala-0.12/valacodegen.h
%{_includedir}/vala-0.12/valagee.h
%{_includedir}/vala-0.12/vala.h
%{_libdir}/libvala-0.12.la
%{_libdir}/libvala-0.12.so
%{_pkgconfig}/libvala-0.12.pc
%{_datadir}/devhelp/books/vala-0.12

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Fri Dec 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.11.2-1
- Version update
* Sun Jul 25 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.3-1
- Version update
* Fri Mar 05 2010 Karsten Brockmann <arcam@ccux-linux.de>  0.7.10-1
- initial CCux package release
